Package org.apache.commons.fileupload2.core

# Class AbstractStreamingTest<AFU extends org.apache.commons.fileupload2.core.AbstractFileUpload<R,I,F>,R,C extends org.apache.commons.fileupload2.core.AbstractRequestContext<?>,I extends org.apache.commons.fileupload2.core.FileItem<I>,F extends org.apache.commons.fileupload2.core.FileItemFactory<I>>

java.lang.Object
org.apache.commons.fileupload2.core.AbstractTest<AFU,R,I,F>
org.apache.commons.fileupload2.core.AbstractStreamingTest<AFU,R,C,I,F>

Type Parameters:
  `AFU` - The subclass of FileUpload.
  `R` - The type of FileUpload request.
  `C` - The request context type.
  `I` - The FileItem type.
  `F` - The FileItemFactory type.

public abstract class AbstractStreamingTest<AFU extends org.apache.commons.fileupload2.core.AbstractFileUpload<R,I,F>,R,C extends org.apache.commons.fileupload2.core.AbstractRequestContext<?>,I extends org.apache.commons.fileupload2.core.FileItem<I>,F extends org.apache.commons.fileupload2.core.FileItemFactory<I>> extends AbstractTest<AFU,R,I,F>
Unit test for items with varying sizes.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractStreamingTest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `getFooter()`
  `protected String`
  `getHeader(String value)`
  `protected abstract F`
  `newDiskFileItemFactory()`
  `protected byte[]`
  `newRequest()`
  `protected abstract C`
  `newServletRequestContext(R request)`
  `protected byte[]`
  `newShortRequest()`
  `protected List<I>`
  `parseUpload(byte[] bytes)`
  `protected org.apache.commons.fileupload2.core.FileItemInputIterator`
  `parseUpload(int length, InputStream inputStream)`
  `protected List<I>`
  `parseUpload(InputStream inputStream, int length)`
  `void`
  `testFileUpload()`
  Tests a file upload with varying file sizes.
  `void`
  `testFILEUPLOAD135()`
  Test for FILEUPLOAD-135
  `void`
  `testFileUploadException()`
  Tests, whether an invalid request throws a proper exception.
  `void`
  `testInvalidFileNameException()`
  Tests, whether an `InvalidPathException` is thrown.
  `void`
  `testIOException()`
  Tests, whether an IOException is properly delegated.

  ### Methods inherited from class org.apache.commons.fileupload2.core.AbstractTest

  `newFileUpload, newMockHttpServletRequest, newMockHttpServletRequest, newMockHttpServletRequest`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractStreamingTest

    public AbstractStreamingTest()

- ## Method Details

  - ### getFooter

    protected String getFooter()

  - ### getHeader

    protected String getHeader(String value)

  - ### newDiskFileItemFactory

    protected abstract F newDiskFileItemFactory()

  - ### newRequest

    protected byte[] newRequest() throws IOException
    Throws:
      `IOException`

  - ### newServletRequestContext

    protected abstract C newServletRequestContext(R request)

  - ### newShortRequest

    protected byte[] newShortRequest() throws IOException
    Throws:
      `IOException`

  - ### parseUpload

    protected List<I> parseUpload(byte[] bytes) throws org.apache.commons.fileupload2.core.FileUploadException
    Throws:
      `org.apache.commons.fileupload2.core.FileUploadException`

  - ### parseUpload

    protected List<I> parseUpload(InputStream inputStream, int length) throws org.apache.commons.fileupload2.core.FileUploadException
    Throws:
      `org.apache.commons.fileupload2.core.FileUploadException`

  - ### parseUpload

    protected org.apache.commons.fileupload2.core.FileItemInputIterator parseUpload(int length, InputStream inputStream) throws org.apache.commons.fileupload2.core.FileUploadException, IOException
    Throws:
      `org.apache.commons.fileupload2.core.FileUploadException`
      `IOException`

  - ### testFileUpload

    @Test public void testFileUpload() throws IOException
    Tests a file upload with varying file sizes.
    Throws:
      `IOException` - Test failure.

  - ### testFILEUPLOAD135

    @Test public void testFILEUPLOAD135() throws IOException
    Test for FILEUPLOAD-135
    Throws:
      `IOException` - Test failure.

  - ### testFileUploadException

    @Test public void testFileUploadException() throws IOException
    Tests, whether an invalid request throws a proper exception.
    Throws:
      `IOException` - Test failure.

  - ### testInvalidFileNameException

    @Test public void testInvalidFileNameException() throws IOException
    Tests, whether an `InvalidPathException` is thrown.
    Throws:
      `IOException` - Test failure.

  - ### testIOException

    @Test public void testIOException() throws IOException
    Tests, whether an IOException is properly delegated.
    Throws:
      `IOException` - Test failure.